<!DOCTYPE html>
<html>
 <head>
   <meta charset="utf-8" />
   <title>JS-ADV. Lesson 1. Task 3 </title>
</head>
<body>
  <div class="wrap" id="app"></div>

  <script>
      var wrap = document.getElementById('app');
      var header = document.createElement('header');
      var link = document.createElement('a');
          link.href = 'http://google.com.ua';

      var img = document.createElement('img');
          img.src = 'https://www.google.com.ua/images/branding/googlelogo/1x/googlelogo_color_272x92dp.png';

      var menu = document.createElement('div');
        menu.className = 'menu';
    
    for(var i = 1; i <= 3; i++) {
        var linkItem = document.createElement('a');
            linkItem.href = '#1';
            linkItem.style.display = 'block';
            linkItem.innerText = 'link ' + i;
            menu.appendChild(linkItem);
    }

      header.appendChild(link);
      link.appendChild(img);
      header.appendChild(menu);

      wrap.appendChild(header);
  /*
      Задание:
      Сложить в элементе с id App следующую размету HTML:

      <header>
        <a href="http://google.com.ua">
          <img src="https://www.google.com.ua/images/branding/googlelogo/1x/googlelogo_color_272x92dp.png">
        </a>
        <div class="menu">
          <a href="#1"> link 1</a>
          <a href="#1"> link 2</a>
          <a href="#1"> link 3</a>
        </div>
      </header>

      Используя следующие методы для работы:
      getElementById
      createElement
      element.innerText
      element.className
      element.setAttribute
      element.appendChild

  */

  </script>
</body>
</html>
